# Uses of Enum Class
org.apache.sysds.resource.CloudUtils.CloudProvider

Packages that use CloudUtils.CloudProvider
Package
Description
org.apache.sysds.resource

## Uses of CloudUtils.CloudProvider in org.apache.sysds.resource

Methods in org.apache.sysds.resource that return CloudUtils.CloudProvider
Modifier and Type
Method
Description
`static CloudUtils.CloudProvider`
CloudUtils.CloudProvider.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CloudUtils.CloudProvider[]`
CloudUtils.CloudProvider.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.resource with parameters of type CloudUtils.CloudProvider
Modifier and Type
Method
Description
`static double`
CloudUtils.`calculateClusterPrice(EnumerationUtils.ConfigurationPoint config, double time, CloudUtils.CloudProvider provider)`
This method calculates the cluster price based on the estimated execution time and the cluster configuration.
`static void`
CloudUtils.`setProvider(CloudUtils.CloudProvider provider)`
Static prover initialization method.